-- create schema version table
create table schema_version (
    version text not null
);

-- create users table
create table users
(
    name text primary key CHECK (name <> ''),
    hash text not null CHECK (hash <> ''),
    created_at timestamp with time zone DEFAULT now()
);

-- create posts status
create table statuses
(
    id serial primary key,
    author TEXT references users(name) NOT NULL,
    content VARCHAR(500) NOT NULL CHECK (content <> ''),
    created_at timestamp with time zone DEFAULT now()
);
